Summary:	The Table engine for IBus platform
Summary(pl.UTF-8):	Silnik Table dla platformy IBus
Name:		ibus-table
Version:	1.5.0
Release:	2
License:	LGPL v2+
Group:		Libraries
#Source0Download: http://code.google.com/p/ibus/downloads/list
Source0:	http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
# Source0-md5:	6f46912e52bf683fa1177787507205f5
Patch0:		ibus-table-uppercase-umlauts.patch
URL:		http://code.google.com/p/ibus/
BuildRequires:	gettext-tools >= 0.16.1
BuildRequires:	ibus-devel > 1.4.99
BuildRequires:	python >= 1:2.5
Requires:	ibus > 1.4.99
Requires:	%{name}-engine = %{version}-%{release}
Requires:	ibus >= 1.3.0
Requires:	python-dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
The Table engine for IBus platform.

%description -l pl.UTF-8
Silnik Table dla platformy IBus.

%package engine
Summary:	IBus Table engine
Summary(pl.UTF-8):	Silnik IBus Table
Group:		Applications/Text
Requires:	python-modules >= 1:2.5
Requires:	python-modules-sqlite >= 1:2.5

%description engine
IBus Table engine.

%description engine -l pl.UTF-8
Silnik IBus Table.

%package devel
Summary:	Development files for ibus-table
Summary(pl.UTF-8):	Pliki programistyczne dla ibus-table
Group:		Development/Tools
Requires:	%{name}-engine = %{version}-%{release}

%description devel
Development files for ibus-table.

%description devel -l pl.UTF-8
Pliki programistyczne dla ibus-table.

%prep
%setup -q
%patch0 -p1

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libexecdir}/ibus-engine-table
%{_datadir}/ibus/component/table.xml
%{_datadir}/%{name}/engine/factory.py
%{_datadir}/%{name}/engine/factory.pyc
%{_datadir}/%{name}/engine/factory.pyo
%{_datadir}/%{name}/engine/main.py
%{_datadir}/%{name}/engine/main.pyc
%{_datadir}/%{name}/engine/main.pyo
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/%{name}.svg
%{_datadir}/%{name}/icons/full-letter.svg
%{_datadir}/%{name}/icons/full-punct.svg
%{_datadir}/%{name}/icons/half-letter.svg
%{_datadir}/%{name}/icons/half-punct.svg
%{_datadir}/%{name}/icons/onechar.svg
%{_datadir}/%{name}/icons/phrase.svg
%{_datadir}/%{name}/icons/py-mode.svg
%{_datadir}/%{name}/icons/tab-mode.svg
%{_datadir}/%{name}/icons/chinese.svg
%{_datadir}/%{name}/icons/acommit.svg
%{_datadir}/%{name}/icons/english.svg
%{_datadir}/%{name}/icons/ncommit.svg
%{_datadir}/%{name}/icons/cb-mode.svg
%{_datadir}/%{name}/icons/sc-mode.svg
%{_datadir}/%{name}/icons/scb-mode.svg
%{_datadir}/%{name}/icons/tc-mode.svg
%{_datadir}/%{name}/icons/tcb-mode.svg

%files engine -f %{name}.lang
%defattr(644,root,root,755)
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/data
%{_datadir}/%{name}/data/pinyin_table.txt.bz2
%dir %{_datadir}/%{name}/engine
%{_datadir}/%{name}/engine/tabcreatedb.py
%{_datadir}/%{name}/engine/tabcreatedb.pyc
%{_datadir}/%{name}/engine/tabcreatedb.pyo
%{_datadir}/%{name}/engine/tabdict.py
%{_datadir}/%{name}/engine/tabdict.pyc
%{_datadir}/%{name}/engine/tabdict.pyo
%{_datadir}/%{name}/engine/table.py
%{_datadir}/%{name}/engine/table.pyc
%{_datadir}/%{name}/engine/table.pyo
%{_datadir}/%{name}/engine/tabsqlitedb.py
%{_datadir}/%{name}/engine/tabsqlitedb.pyc
%{_datadir}/%{name}/engine/tabsqlitedb.pyo
%dir %{_datadir}/%{name}/tables
%{_datadir}/%{name}/tables/template.txt

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-createdb
%{_pkgconfigdir}/%{name}.pc
%changelog
* Mon Mar 02 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-table.git;a=log;h=master

* Mon Mar 02 2015 Elan Ruusamäe <glen@delfi.ee> bf4d994
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9813850
- updated gettext BR

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 9741828
- updated to 1.5.0

* Sat Nov 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 8622ca0
- updated to 1.4.99.20121112

* Sat Nov 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 291ee7e
- removed obsolete configure option

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> e5c13a8
- Merge branch 'master' of git://git.pld-linux.org/packages/ibus-table

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 4c81615
- updated to 1.4.99.20121012

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> 0cf8bbc
- fixed duplicate files

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b203b78
- updated to 1.3.9.20110827
- pl
- separated -engine and moved createdb to -devel, so that development is possible without installing whole ibus

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 6ed223f
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 81ad085
- R python-modules-sqlite (WhoTF separated it?)

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> 5971914
- typo

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> a4dc549
- hmm, devel does need main package

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 0f7b9ac
- devel does not need main package

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 1d42968
- initial revision

